This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 75589 - redhat-config-xfree86 uses wrong decimal character
redhat-config-xfree86 uses wrong decimal character
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On: 75621
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 20:21 EDT by Christian Rose
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-09 20:22:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot showing use of wrong decimal characters (34.33 KB, image/png)
2002-10-09 20:22 EDT, Christian Rose
no flags Details

  None (edit)
Description Christian Rose 2002-10-09 20:21:52 EDT
Tested with RHL 8.0 and using sv_SE.UTF-8.

redhat-config-xfree86 uses the wrong decimal character (point instead of comma)
in the monitor frequencies section, both in input and display (see screenshot).
This locale's decimal character is comma.
Comment 1 Christian Rose 2002-10-09 20:22:46 EDT
Created attachment 79720 [details]
Screenshot showing use of wrong decimal characters
Comment 2 Alexander Larsson 2002-10-10 05:14:50 EDT
This is an unfortunate problem with python. The python environment fails if you
change the numeric locale, so pygtk2 automatically sets it to C.
Comment 3 Christian Rose 2002-10-10 05:46:25 EDT
Should I file a bug report against python?
Comment 4 Alexander Larsson 2002-10-10 05:59:28 EDT
pygtk does:

    /* set the LC_NUMERIC locale back to "C", as Python requires that
     * it be set that way. */
    setlocale(LC_NUMERIC, "C");

I'm not sure this can be fixed, but maybe it can.
Comment 5 Alexander Larsson 2002-10-10 06:00:38 EDT
Easiest would be to just ask jamesh if this is fixable.

Note You need to log in before you can comment on or make changes to this bug.